Why Rails 3 installation is so pane full

Hi all
Why Rails 3 installation is so pane full…?

I am using fedora 10,
ruby 1.8.6
rails 2.3.5/2.3.8

Now want to upgrade to rails3
i tried so many links…

but nothing find essay… for Rails 3

problem in ruby installation
please suggest good links …

Thanks…

Regards
Shyam
971-618-9650
shyam.heroku.com

Shyam, it might help if you described the issue and/or posted the relevant error message(s). Next, Rails 3 requires Ruby 1.8.7 or higher but recommends Ruby 1.9.2.

Good luck,

-Conrad